zfs-linux (2.4.4-1ubuntu1) stonking; urgency=medium

  * Merge from Debian
    - debian/control
      - drop dependencies on "zfs-modules | zfs-dkms" such that all
        packages can be installed in containers, on hosts that have zfs module
        loaded
      - adding systemd-cryptsetup as zfs-dracut dependency        
    - debian/libuutil3linux.symbols and debian/libzfs7linux.symbols
      - removing  __start_zfs_tunables and __stop_zfs_tunables as the extern
        variables are not defined anywhere else
    - debian/patches:
      - adding
        - ubuntu/0001-Revert-Revert-systemd-Use-non-absolute-paths-in-Exec.patch
        - ubuntu/0002-Revert-etc-systemd-zfs-mount-generator-rewrite-in-C.patch
        - ubuntu/4000-zsys-support.patch
        - ubuntu/4001-dracut-Open-and-mount-luks-keystore.patch
        - ubuntu/4100-disable-bpool-upgrade.patch
        - ubuntu/zfs-mount-container-start.patch
        - ubuntu/4510-silently-ignore-modprobe-failure.patch
        - ubuntu/4751-suppress-types.patch
        - ubuntu/fixup-abi.patch
        - ubuntu/0004-rename-sms-service.patch  
    - debian/rules:
      - enforce abi check on Ubuntu amd64
    - debian/tests/:
      - reduce testing to smoketest only
        - Ubuntu Kernel regression testing covers zfs testsuite
      - Drop depends on linux-headers-*.
      - draid tests fail upstream, so marking failures as expected
        to fail

 -- John Cabaj <john.cabaj@canonical.com>  Mon, 24 Aug 2026 09:22:58 -0500

zfs-linux (2.4.4-1) unstable; urgency=high

  * New upstream version 2.4.4.
  * d/patches: refresh for OpenZFS 2.4.4.
  * d/patches: make systemd-udev-settle optional in the Debian-specific
    zfs-load-module.service, matching upstream PR #18832.
  * d/symbols: add new symbols in libzpool7linux.
  * d/modules: drop obsolete udeb settings.

 -- Shengqi Chen <harry@debian.org>  Sat, 22 Aug 2026 14:43:08 +0800

zfs-linux (2.4.3-3) unstable; urgency=medium

  [ Igor Krpanic ]
  * d/rules: fix outdated udeb package names (Closes: #1144055)
  * d/: rename udeb install files to match udeb package names
  * d/rules: fix appending of control.udeb.in
  * d/rules: strip modules in the -di udeb
  * d/shlibs.local: map libtirpc to libtirpc3-udeb for udebs
  * d/rules: copy DKMS files instead of moving them

  [ Benjamin Drung ]
  * Drop depending on busybox-initramfs (Closes: #1142294, LP: #2157328)

 -- Shengqi Chen <harry@debian.org>  Tue, 11 Aug 2026 00:06:49 +0800

zfs-linux (2.4.3-2) unstable; urgency=medium

  * d/watch: fix version 5 format (separate header/source paragraphs)
  * d/po: update debconf translations (de, es, nl, pt)
    (Closes: #1137194, #1137220, #1137538, #1138510)
  * d/patches: bump META to 7.1 (Closes: #1141831)

 -- Aron Xu <aron@debian.org>  Fri, 24 Jul 2026 05:09:29 +0800

zfs-linux (2.4.3-1) unstable; urgency=medium

  * New upstream version 2.4.3.
  * d/patches: drop fix-Linux-Maximum.patch, merged upstream.

 -- Aron Xu <aron@debian.org>  Mon, 15 Jun 2026 16:59:48 +0800

zfs-linux (2.4.2-2) unstable; urgency=medium

  [ Shengqi Chen ]
  * Previous upload 2.4.2-1 fixed support for RT kernels, compatibility
    with Linux 7.0, and draid tests on s390x (closes: #981212, #1135579,
    #1072774).
  * zfs-dkms: only show the PREEMPT_RT kernel warning when an RT kernel is
    installed (closes: #1136688).

  [ Carles Pina i Estany ]
  * d/po: update Catalan debconf translation (closes: #1136717).

 -- Shengqi Chen <harry@debian.org>  Fri, 15 May 2026 22:04:27 +0800

zfs-linux (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2.
  * d/patches:
    + refresh existing patches.
    + remove patch that prevents building on PREEMPT_RT kernels.
    + add patch to fix wrong Linux-Maximum field in META.
  * zfs-dkms: add debconf notice for support on RT kernels.
  * d/control: bump std-ver to 4.7.4 (no changes needed).
  * d/symbols: update symbols for libzpool7linux.

 -- Shengqi Chen <harry@debian.org>  Wed, 13 May 2026 14:49:33 +0800

zfs-linux (2.4.1-1) unstable; urgency=medium

  [ Shengqi Chen ]
  * New upstream version 2.4.1. (closes: #1125351)
  * d/patches: remove applied patches, disable bump-Linux-Minimum.patch.
  * d/control: zfsutils-linux now depends on gawk. (closes: #1126316)
  * d/patches: patch vdev_id to explicitly use gawk.
  * d/symbols: update symbols for libzpool7linux.

 -- Shengqi Chen <harry@debian.org>  Fri, 06 Mar 2026 15:16:40 +0800

zfs-linux (2.4.0-1) unstable; urgency=medium

  * Upload to unstable.
  * d/control: bump std-ver to 4.7.3 (no changes needed).

 -- Shengqi Chen <harry@debian.org>  Fri, 09 Jan 2026 17:08:48 +0800

zfs-linux (2.4.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.4.0.
    - d/patches: remove applied patches in upstream.
  * Bump SONAME to libzfs7 and libzpool7.
    - Update symbol control file for shared libraries.
  * d/libzfs7linux: update usr-merge-related maintainer scripts after trixie
    release (see: #1092598).
  * Rename arcstat and arc_summary to zarcstat and zarcsummary.
    - no longer conflicts with nordugrid-arc-client (closes: #1063457).
    - d/copyright: fix patterns according to filename changes.
  * d/control: update usage of auto-generated fields.

 -- Shengqi Chen <harry@debian.org>  Tue, 23 Dec 2025 18:40:06 +0800

zfs-linux (2.3.5-2) unstable; urgency=medium

  [ Shengqi Chen ]
  * d/watch: switch to version 5

  [ Aron Xu ]
  * d/patches: resync with Ubuntu, changes
    - Enable ubuntu/4100-disable-bpool-upgrade.patch
    - Enable Linux 6.18 cherry-picks
  * Revert "d/patches: remove not used patch"
  * d/patches/bump-Linux-Minimum.patch: refresh
  * d/patches: enable-linux-experimental to allow building with 6.18
  * d/upstream/signing-key.asc: add 6AD860EED4598027
  * d/libzpool6linux.symbols: update
  * d/source/lintian-overrides: drop unused ones, add python test ones
  * d/control*: std-ver 4.7.2, no change required
  * d/pyzfs-doc.lintian-overrides: removed
  * d/control: remove redundant "Rules-Requires-Root: no"

 -- Aron Xu <aron@debian.org>  Mon, 24 Nov 2025 18:13:04 +0800

zfs-linux (2.3.5-1) unstable; urgency=medium

  * New upstream version 2.3.5 (Closes: #1119915)
  * d/patch: remove not used patch

 -- Aron Xu <aron@debian.org>  Wed, 19 Nov 2025 14:43:19 +0800

zfs-linux (2.3.4-1) unstable; urgency=medium

  * New upstream version 2.3.4 (closes: #1111252).
  * d/symbols: add new symbols for libzpool6linux.
  * d/install: install new zfs-mount@.service in zfsutils-linux.

 -- Shengqi Chen <harry@debian.org>  Wed, 27 Aug 2025 00:38:22 +0800

zfs-linux (2.3.4~git20250812.3b64a96-1) experimental; urgency=medium

  [ Shengqi Chen ]
  * New upstream version 2.3.4~git20250812.3b64a96 (from zfs-2.3.4-staging).
  * d/patches: further patch pyzfs to fix error on debian pre-release version.
  * d/install: add new manpage for zfs-rewrite in zfsutils-linux.
  * d/symbols: remove missing symbol for libzpool6linux.
  * d/rules: install scripts/objtool-wrapper.in into dkms tree.

  [ Attila Fülöp ]
  * d/rules: fix dkms build by retaining more fields in configure.ac.

 -- Shengqi Chen <harry@debian.org>  Sun, 17 Aug 2025 10:52:15 +0800

zfs-linux (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3 (closes: #1106035, #1106556).
  * d/patches: refresh existing patches.
  * d/symbols: add symbols in new version, remove vanished ones.
  * d/copyright: remove deprecated FSF physical addresses.

 -- Shengqi Chen <harry@debian.org>  Thu, 14 Aug 2025 23:02:14 +0800

zfs-linux (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2 (closes: #1104418).
  * d/patches: refresh and remove applied patches.

 -- Shengqi Chen <harry@debian.org>  Fri, 02 May 2025 17:46:51 +0800

zfs-linux (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1
  * d/patches:
    + remove applied patches in 2.3.1
    + backport upstream patch to fix flushing on zvol (closes: #1100086)
  * d/rules: install pyzfs documentation into usr/share/doc/python3-pyzfs
    + add link for backward compatibility
    + add pyzfs-doc.doc-base
  * Add new symbols in libzpool6linux
  * Remove unused lintian-overrides

 -- Shengqi Chen <harry@debian.org>  Wed, 12 Mar 2025 13:56:58 +0800

zfs-linux (2.3.0-2) unstable; urgency=medium

  * cherry-pick upstream pre-2.3.1 patches

 -- Aron Xu <aron@debian.org>  Mon, 03 Mar 2025 14:30:25 +0800

zfs-linux (2.3.0-2~exp1) experimental; urgency=medium

  [ Shengqi Chen ]
  * d/tests: remove i386 from autopkgtest due to kernel support removed
  * d/patches: backport compatibility patches for Liunx 6.12 and 6.13
    (closes: #1093115)
  * d/control: add Multi-Arch attributes for binary packages

  [ Andreas Beckmann ]
  * dkms.mkconf: switch to BUILD_EXCLUSIVE_CONFIG (closes: #1098887)
  * dkms.mkconf: set BUILD_EXCLUSIVE_KERNEL_MIN to the value from META
  * META: bump Linux-Minimum due to SHRINK_EMPTY usage

 -- Shengqi Chen <harry@debian.org>  Wed, 26 Feb 2025 17:32:05 +0800

zfs-linux (2.3.0-1) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation.

  [ наб ]
  * d/control: libzfslinux-dev Depends: libtirpc-dev, zlib1g-dev
    (Closes: #1095855)

  [ Shengqi Chen ]
  * Upload to unstable (closes: #1093115, #1095583).

 -- Shengqi Chen <harry@debian.org>  Sun, 16 Feb 2025 22:08:05 +0800

zfs-linux (2.3.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.3.0
    (No functional changes since 2.3.0~rc5-1.)

 -- Shengqi Chen <harry@debian.org>  Tue, 14 Jan 2025 13:29:28 +0800

zfs-linux (2.3.0~rc5-1~exp1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Add protective diversions for concurrent package rename and aliasing
    change of libzfs_core.so.* (DEP17 P1 M8, Closes: #1092598)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 10 Jan 2025 09:03:13 +0100

zfs-linux (2.3.0~rc5-1~exp1) experimental; urgency=medium

  [ Alexandre Detiste ]
  * d/control: remove python3-distutils from Depends: alternative
    (Closes: #1082141)

  [ Shengqi Chen ]
  * New upstream version 2.3.0~rc5
    * Bump SONAME to libzpoollinux6
  * d/not-installed: update list
  * d/symbols: refresh symbol list for all libraries
  * d/rules: run override_dh_autoreconf when building zfs-modules deb
  * d/tests: remove call to autoreconf in binary-debs-modules script
  * d/patches:
    + refresh patches & disable bump-linux-maximum.patch
    + add patch to fix pyzfs version

 -- Shengqi Chen <harry@debian.org>  Tue, 07 Jan 2025 23:04:20 +0800

zfs-linux (2.2.7-2) unstable; urgency=medium

  * Add patch to fix simd_stat compilation on armel

 -- Shengqi Chen <harry-chen@outlook.com>  Wed, 25 Dec 2024 16:11:41 +0800

zfs-linux (2.2.7-1) unstable; urgency=medium

  [ Aron Xu ]
  * d/control: Breaks zfs-fuse (Closes: #1058684)

  [ Shengqi Chen ]
  * New upstream version 2.2.7 (Closes: #1089578, #1089488, #1084964)
  * Refresh existing patches & symbol control files
  * d/rules: skip installing upstream removed files
  * d/copyright: remove superfluous files
  * d/control: add zfs-fuse version to Breaks

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 13 Dec 2024 01:31:52 +0800

zfs-linux (2.2.6-2) unstable; urgency=high

  [ Alexandre Detiste ]
  * d/control: remove python3-distutils from Depends: alternative (Closes: #1082141)

  [ Aron Xu ]
  * Revert "d/patches: add bump-linux-maximum.patch"

 -- Aron Xu <aron@debian.org>  Sat, 12 Oct 2024 19:05:55 +0800

zfs-linux (2.2.6-1) unstable; urgency=medium

  * New upstream version 2.2.6
    - compatibile with Linux 4.18 - 6.11rc
  * d/patches: refresh patches & removed applied patch

 -- Shengqi Chen <harry-chen@outlook.com>  Thu, 05 Sep 2024 10:56:11 +0800

zfs-linux (2.2.5-1) unstable; urgency=medium

  * New upstream version 2.2.5
    - fix bash-completion initialization (closes: #1074597)
    - other fixes: https://github.com/openzfs/zfs/releases/tag/zfs-2.2.5
  * d/patches:
    - refresh existing patches
    - add bump-linux-maximum.patch to compile on 6.10 (closes: #1077835)

 -- Shengqi Chen <harry-chen@outlook.com>  Thu, 08 Aug 2024 17:44:24 +0800

zfs-linux (2.2.4-2) unstable; urgency=medium

  * d/tests: avoid running zfs-test-suite-* automatically
    by adding custom restrictions
  * Opt-in usr-merge:
    - d/: install files into /usr (closes: #1061359)
    - d/: move some tools out of /usr/sbin and add links for compatibility

 -- Shengqi Chen <harry-chen@outlook.com>  Sun, 02 Jun 2024 15:12:52 +0800

zfs-linux (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4
  * d/patches: remove patches already applied by upstream
  * libzpool: update symbol list
  * d/tests: skip some flaky tests in zfs-test-suite-{1,2}
  * d/control: update python3 dependency of zfs-dkms
  * d/symbols: remove unreferenced libspl symbols (closes: #1070899)

 -- Shengqi Chen <harry-chen@outlook.com>  Mon, 13 May 2024 13:57:29 +0800

zfs-linux (2.2.3-2) unstable; urgency=medium

  [ Shengqi Chen ]
  * d/control: add Build-Depends on libtirpc-dev (closes: #1067088)
  * Add patch to fix path in man/zfs_prepare_disk.8
  * d/control: upgrade to std-ver 4.7.0 (no changes required)
  * Some improvements to autopkgtest (see: #1068559):
    - d/control: add more recommends for zfs-test to fix tests
    - split zfs-test-suite into four smaller parts
    - try to skip some tests that require large memory
    - use presistent tmpdir for zfs-test-suite

  [ Benda Xu ]
  * OpenRC no longer breaks the ZFS initscripts on Debian.
  * Fix substitution behaviour in config/Substfiles.am

 -- Shengqi Chen <harry-chen@outlook.com>  Sun, 14 Apr 2024 10:59:52 +0800

zfs-linux (2.2.3-1) unstable; urgency=medium

  [ Aron Xu ]
  * d/control: add Shengqi Chen to Uploaders

  [ Shengqi Chen ]
  * New upstream version 2.2.3
    - add compatibility with Linux 6.6 (closes: #1060899)
    - fix private mmap permission of R/O files (closes: #1052472)
    - ...and many more fixes (see upstream changelog)
  * Some packaging updates:
    - symbols: add new symbols for 2.2.3 in libzfs4 and libzpool5
    - lintian-overrides: remove obsolete rules, update rule names
    - README.debian: fix a typo
    - control: lift dh-compat to 13
    - not-installed: remove actually installed files
    - patches:
      + remove some outdated / applied patches
      + fix a typo in 2100-zfs-load-module.patch (related: #1041857)
      + enable ubuntu/zfs-mount-container-start.patch

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 23 Feb 2024 21:28:24 +0800

zfs-linux (2.2.3-1~exp1) UNRELEASED; urgency=medium

  * New upstream version 2.2.3
    - add compatibility with Linux 6.6 (closes: #1060899)
    - fix private mmap permission of R/O files (closes: #1052472)
    - and many more fixes (see upstream changelog)
  * d/patches:
    - remove some applied / outdated patches
    - fix a typo in 2100-zfs-load-module.patch (related: #1041857)
    - enable ubuntu/zfs-mount-container-start.patch
  * d/: add new symbols for libzfs4 and libzpool5

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 23 Feb 2024 15:59:29 +0800

zfs-linux (2.2.2-5~exp4) UNRELEASED; urgency=medium

  [ Shengqi Chen ]
  * d/: update rule names in lintian-overrides, fix typos, lift dh-compat to 13
  * d/not-installed: remove actually installed files

  [ Aron Xu ]
  * d/control.ubuntu: Conflicts with nordugrid-arc-client

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 23 Feb 2024 14:08:02 +0800

zfs-linux (2.2.2-5~exp3) experimental; urgency=medium

  * Remove more obsolete lintian overrides
  * d/control: zfsutils-linux now conflicts with nordugrid-arc-client
    (Closes: #1063392)
  * d/NEWS: add notice on usr-merge and package conflict

 -- Shengqi Chen <harry-chen@outlook.com>  Wed, 07 Feb 2024 23:11:07 +0800

zfs-linux (2.2.2-5~exp2) experimental; urgency=medium

  * d/tests: add missing header dependency and fix zfs-test-suite
    (Closes: #983661)
  * d/tests: refactor kernel-smoke-test, add tests for draid[1-3]
  * d/: install files into /usr (Closes: #1061359)
  * d/: move some tools out of /usr/sbin and add links for compatibility

 -- Shengqi Chen <harry-chen@outlook.com>  Mon, 05 Feb 2024 22:44:24 +0800

zfs-linux (2.2.2-5~exp1) experimental; urgency=medium

  [ Shengqi Chen ]
  * d/tests: add missing header dependency and fix zfs-test-suite
    (Closes: #983661)
  * d/tests: refactor kernel-smoke-test, add tests for draid[1-3]

  [ Aron Xu ]
  * Remove unused lintian overrides

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 12 Jan 2024 14:07:04 +0800

zfs-linux (2.2.2-4) unstable; urgency=medium

  * Cherry-pick patch to fix typo in zed.rc

 -- Shengqi Chen <harry-chen@outlook.com>  Tue, 09 Jan 2024 16:14:53 +0800

zfs-linux (2.2.2-3) unstable; urgency=medium

  * Add check for CONFIG_KERNEL_MODE_NEON in neon patch on arm platforms

 -- Shengqi Chen <harry-chen@outlook.com>  Tue, 26 Dec 2023 22:50:23 +0800

zfs-linux (2.2.2-2) unstable; urgency=medium

  * Update symbols for armel architecture
  * Add patch to check neon symbols on arm platforms

 -- Shengqi Chen <harry-chen@outlook.com>  Mon, 25 Dec 2023 17:32:27 +0800

zfs-linux (2.2.2-1) unstable; urgency=medium

  * libzpool5linux: add additional symbols for arch-specific implementations
  * Remove already applied patch for CVE-2013-20001
  * Backport patch to enable non-SIMD SHA-2 kernels on armel
  * Backport patch to workaround GPL-only symbols on riscv

 -- Shengqi Chen <harry-chen@outlook.com>  Sun, 24 Dec 2023 14:19:46 +0800

zfs-linux (2.2.2-1~exp1) experimental; urgency=high

  [ Mo Zhou ]
  * Add several new symbols for ppc64el.

  [ Shengqi Chen ]
  * New upstream version 2.2.2

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 01 Dec 2023 12:26:32 +0800

zfs-linux (2.2.1-1~exp2) experimental; urgency=medium

  * Add patch to fix compiling on armel

 -- Shengqi Chen <harry-chen@outlook.com>  Wed, 22 Nov 2023 23:08:38 +0800

zfs-linux (2.2.1-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.1
  * Include files for zfs_prepare_disk in zfsutils-linux.install
  * Update symbols for dynamic libraries
  * symbols: include some SIMD impl of zfletcher on i386
  * symbols: use arch-bits when possible

 -- Shengqi Chen <harry-chen@outlook.com>  Wed, 22 Nov 2023 15:31:24 +0800

zfs-linux (2.2.0-1~exp1) experimental; urgency=medium

  [ Mo Zhou ]
  * New upstream version 2.2.0
  * Partial revert the copyright update to fix wrong changes.
  * Refresh symbols control file.
  * Fix modules package installation control file.
  * Upload to experimental.

  [ Thomas Lamprecht ]
  * d/install: remove manpages for BSD-specific jail/unjail hooks
  * zfsutils-linux: install new trim units, zilstat tool, and new man pages
  * d/copyright: adapt to file moves and deletions

  [ Stoiko Ivanov ]
  * d/rules: update for automake changes
  * d/rules: drop bash_completion mangling
  * update symbols
  * update lintian overrides
  * Quilt refresh patchset

 -- Mo Zhou <lumin@debian.org>  Thu, 02 Nov 2023 20:27:52 -0400

zfs-linux (2.1.14-2) UNRELEASED; urgency=medium

  * libshare/nfs: backport patch from upstream to fix ipv6 addr processing (Closes: CVE-2013-20001, #1059322)

 -- Shengqi Chen <harry-chen@outlook.com>  Mon, 04 Dec 2023 17:38:21 +0800

zfs-linux (2.1.14-1) unstable; urgency=high

  * New upstream version 2.1.14 (Closes: #1056752, CVE-2023-49298)
  * Remove already merged emergency patches
  * Refine header of patches, fix series file

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 01 Dec 2023 17:17:32 +0800

zfs-linux (2.1.13-3) unstable; urgency=high

  * Cherry-pick another patch to fix data corruption bug

 -- Shengqi Chen <harry-chen@outlook.com>  Thu, 30 Nov 2023 15:53:45 +0800

zfs-linux (2.1.13-2) unstable; urgency=high

  * Add patch to mitigate data corruption bug

 -- Shengqi Chen <harry-chen@outlook.com>  Tue, 28 Nov 2023 11:47:10 +0800

zfs-linux (2.1.13-1) unstable; urgency=medium

  * New upstream version 2.1.13 (Closes: #1043124)
  * Quilt refresh patchset.

 -- Mo Zhou <lumin@debian.org>  Wed, 27 Sep 2023 21:29:38 -0400

zfs-linux (2.1.12-2) unstable; urgency=medium

  * Add patch to check FPU availability on arm64 (Closes: #1039487)

 -- Aron Xu <aron@debian.org>  Mon, 21 Aug 2023 11:36:30 +0800

zfs-linux (2.1.12-1) unstable; urgency=medium

  * New upstream version 2.1.12
  * Remove already merged patches.
  * Rebase existing patches.
  * New symbols for libzfs4linux and libzpool5linux.

 -- Mo Zhou <lumin@debian.org>  Wed, 14 Jun 2023 21:57:31 -0700

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libuutil3linux`.
